Loading...
Searching...
No Matches
Dune::MatrixRowGatherScatter< M, I > Struct Template Reference

`#include <dune/istl/matrixredistribute.hh>`

## Public Types

typedef I::GlobalIndex | GlobalIndex
typedef CommMatrixRow< M, I > | Container
typedef M::ConstColIterator | ColIter
typedef std::pair< GlobalIndex, typename M::block_type > | Data

## Static Public Member Functions

static const Data & | gather (const Container &cont, std::size_t i, std::size_t j)
static void | scatter (Container &cont, const Data &data, std::size_t i, std::size_t j)

## Static Public Attributes

static ColIter | col
static Data | datastore
static GlobalIndex | numlimits

## Member Typedef Documentation

## ColIter

template<class M, class I>

typedef M::ConstColIterator Dune::MatrixRowGatherScatter< M, I >::ColIter

## Container

template<class M, class I>

typedef CommMatrixRow<M,I> Dune::MatrixRowGatherScatter< M, I >::Container

## Data

template<class M, class I>

typedef std::pair<GlobalIndex,typename M::block_type> Dune::MatrixRowGatherScatter< M, I >::Data

## GlobalIndex

template<class M, class I>

typedef I::GlobalIndex Dune::MatrixRowGatherScatter< M, I >::GlobalIndex

## Member Function Documentation

## gather()

template<class M, class I>

const Data & Dune::MatrixRowGatherScatter< M, I >::gather | ( | const Container & | cont,
|  | std::size_t | i,
|  | std::size_t | j )

inline static

## scatter()

template<class M, class I>

void Dune::MatrixRowGatherScatter< M, I >::scatter | ( | Container & | cont,
|  | const Data & | data,
|  | std::size_t | i,
|  | std::size_t | j )

inline static

## Member Data Documentation

## col

template<class M, class I>

ColIter Dune::MatrixRowGatherScatter< M, I >::col

static

## datastore

template<class M, class I>

Data Dune::MatrixRowGatherScatter< M, I >::datastore

static

## numlimits

template<class M, class I>

GlobalIndex Dune::MatrixRowGatherScatter< M, I >::numlimits

static

The documentation for this struct was generated from the following file:

- matrixredistribute.hh